package com.steerinfo.baseinfo.meterbasehistarecount.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="历史皮重计算配置表")
public class MeterBaseHisTareCount implements IBasePO<String> {
    /**
     * 计算配置编号（YYYYMMDD+4位流水）(COUNT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计算配置编号（YYYYMMDD+4位流水）",required=true)
    private String countNo;

    /**
     * 计算方式编号(COUNT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计算方式编号",required=true)
    private String countTypeNo;

    /**
     * 计算方式名称(COUNT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计算方式名称",required=true)
    private String countTypeName;

    /**
     * 计算版本(COUNT_EDITION,DECIMAL,5)
     */
    @ApiModelProperty(value="计算版本",required=true)
    private Float countEdition;

    /**
     * 比例值(RATE_VALUE,DECIMAL,7)
     */
    @ApiModelProperty(value="比例值",required=false)
    private BigDecimal rateValue;

    /**
     * 固重值（KG）(FIXED_WEIGHT_VALUE,DECIMAL,6)
     */
    @ApiModelProperty(value="固重值（KG）",required=false)
    private Integer fixedWeightValue;

    /**
     * 对比类型编号(CONTRAST_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="对比类型编号",required=true)
    private String contrastTypeNo;

    /**
     * 对比类型名称(CONTRAST_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="对比类型名称",required=true)
    private String contrastTypeName;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0：有效；1：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：有效；1：无效）",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 计算类型编码(TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="计算类型编码",required=false)
    private String typeNo;

    /**
     * 计算类型名称(TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计算类型名称",required=false)
    private String typeName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.countNo;
    }

    @Override
    public void setId(String countNo) {
        this.countNo = countNo == null ? null : countNo.trim();
    }

    public String getCountNo() {
        return countNo;
    }

    public void setCountNo(String countNo) {
        this.countNo = countNo == null ? null : countNo.trim();
    }

    public String getCountTypeNo() {
        return countTypeNo;
    }

    public void setCountTypeNo(String countTypeNo) {
        this.countTypeNo = countTypeNo == null ? null : countTypeNo.trim();
    }

    public String getCountTypeName() {
        return countTypeName;
    }

    public void setCountTypeName(String countTypeName) {
        this.countTypeName = countTypeName == null ? null : countTypeName.trim();
    }
    public Float getCountEdition() {
        return countEdition;
    }

    public void setCountEdition(Float countEdition) {
        this.countEdition = countEdition;
    }

    public BigDecimal getRateValue() {
        return rateValue;
    }

    public void setRateValue(BigDecimal rateValue) {
        this.rateValue = rateValue;
    }

    public Integer getFixedWeightValue() {
        return fixedWeightValue;
    }

    public void setFixedWeightValue(Integer fixedWeightValue) {
        this.fixedWeightValue = fixedWeightValue;
    }

    public String getContrastTypeNo() {
        return contrastTypeNo;
    }

    public void setContrastTypeNo(String contrastTypeNo) {
        this.contrastTypeNo = contrastTypeNo == null ? null : contrastTypeNo.trim();
    }

    public String getContrastTypeName() {
        return contrastTypeName;
    }

    public void setContrastTypeName(String contrastTypeName) {
        this.contrastTypeName = contrastTypeName == null ? null : contrastTypeName.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getTypeNo() {
        return typeNo;
    }

    public void setTypeNo(String typeNo) {
        this.typeNo = typeNo == null ? null : typeNo.trim();
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName == null ? null : typeName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", countNo=").append(countNo);
        sb.append(", countTypeNo=").append(countTypeNo);
        sb.append(", countTypeName=").append(countTypeName);
        sb.append(", countEdition=").append(countEdition);
        sb.append(", rateValue=").append(rateValue);
        sb.append(", fixedWeightValue=").append(fixedWeightValue);
        sb.append(", contrastTypeNo=").append(contrastTypeNo);
        sb.append(", contrastTypeName=").append(contrastTypeName);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", typeNo=").append(typeNo);
        sb.append(", typeName=").append(typeName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}